import React from "react";
import style from "./index.less";
import WrapModalTitle from "./WrapModalTitle";
import WrapModalTable from "./WrapModalTable";
import WrapModalTableSon from "./WrapModalTableSon";
import WrapModalRight from "./WrapModalRight";

class WrapModalBody extends React.Component {
  constructor(props) {
    super(props)
  }
  render() {
    const { handleSearch, hospitalInspect,height,selectOneCheck,showInIcss, handleGetSonList,selectWaring,message, hospitalSonInspect,allCheckImport,allCheck,checkedList,selectGroupList } = this.props;
    return <div className={style['container']}>
      <div className={`${style.left}`}>
        <WrapModalTitle handleSearch={handleSearch} message={message}></WrapModalTitle>
        <WrapModalTable
          hospitalInspect={hospitalInspect}
          handleGetSonList={handleGetSonList}
        ></WrapModalTable>
        {
          hospitalSonInspect && hospitalSonInspect.lisExcelWrapper?
          <WrapModalTableSon
            allCheck={allCheck}
            checkedList={checkedList}
            selectWaring={selectWaring}
            allCheckImport={allCheckImport}
            selectOneCheck={selectOneCheck}
            selectGroupList={selectGroupList}
            hospitalSonInspect={hospitalSonInspect}
          ></WrapModalTableSon>:null
        }
      </div>
      <div className={`${style.right}`}>
        <WrapModalRight showInIcss={showInIcss} height={height} selectGroupList={selectGroupList}></WrapModalRight>
      </div>
    </div>
  }
}

export default WrapModalBody;
